{% layout "base.html" %}

{% block extra_meta -%}
<meta property="og:type" content="article" />
{% endblock extra_meta -%}

{% block page_main %}
<main class="container max-w-screen-xl mx-auto mt-12 mb-8 px-4">
  <div class="xl:grid xl:gap-8 xl:py-12 xl:grid-cols-3 items-start">
    <aside class="prose prose-slate prose-ol:list-none">
      {{ content | toc }}
    </aside>
    <article class="xl:col-span-2">
      <header class="mb-8 pb-8">
        <h1 class="text-5xl mb-4">{{ title }}</h1>
        <p>
          {% for author in authors -%}
          <span>{{ profiles[author].name }} |</span>
          {% endfor %}
          <span>{{ date | date: "%B %e, %Y" }}</span>
        </p>
      </header>
      <div class="prose prose-slate max-w-none mx-auto">
        {{ content }}
        <img src="{{ '/static/img/logo.svg' | url }}" class="h-8" alt="" />
      </div>
    </article>
  </div>
</main>
{% endblock page_main %}
